# DOMNamedNodeMap::getNamedItemNS

(PHP 5, PHP 7)

DOMNamedNodeMap::getNamedItemNS — Retrieves a node specified by local name and namespace URI

### Description

DOMNamedNodeMap::getNamedItemNS ( string `$namespaceURI` , string `$localName` ) : DOMNode

Retrieves a node specified by `localName` and `namespaceURI`.

### Parameters

`namespaceURI`

  The namespace URI of the node to retrieve.

`localName`

  The local name of the node to retrieve.

### Return Values

A node (of any type) with the specified local name and namespace URI, or `NULL` if no node is found.

### See Also

- DOMNamedNodeMap::getNamedItem() - Retrieves a node specified by name